#include <bits/stdc++.h>

using namespace std;

#define int long long
#define ft first
#define sd second
#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#define pb push_back
#define point pair <int, int>

main()
{
    ios_base::sync_with_stdio(0);
    cin.tie();
    int n;
    cin >> n;
    int a[n];
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    cout << 1 << '\n';
    cout << 1 << ' ' << 2;
    return 0;
}
